org.apache.ivy.util.extendable

## Class ExtendableItemHelper

- java.lang.Object
- - org.apache.ivy.util.extendable.ExtendableItemHelper

    public final class ExtendableItemHelper
    extends java.lang.Object

### Method Summary

Methods
`static void` `fillExtraAttributes(ParserSettings settings, DefaultExtendableItem item, org.xml.sax.Attributes attributes, java.lang.String[] ignoredAttNames)`
`static java.util.Map` `getExtraAttributes(org.xml.sax.Attributes attributes, java.lang.String prefix)`
`static java.util.Map` `getExtraAttributes(ParserSettings settings, org.xml.sax.Attributes attributes, java.lang.String[] ignoredAttNames)` Extract from the XML attribute the extra Ivy ones

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getExtraAttributes

    public static java.util.Map getExtraAttributes(org.xml.sax.Attributes attributes,
                                   java.lang.String prefix)

#### getExtraAttributes

    public static java.util.Map getExtraAttributes(ParserSettings settings,
                                   org.xml.sax.Attributes attributes,
                                   java.lang.String[] ignoredAttNames)

Extract from the XML attribute the extra Ivy ones

Parameters:
  `settings` -
  `attributes` -
  `ignoredAttNames` - the XML attributes names which are not extra but Ivy core ones
Returns:

#### fillExtraAttributes

    public static void fillExtraAttributes(ParserSettings settings,
                           DefaultExtendableItem item,
                           org.xml.sax.Attributes attributes,
                           java.lang.String[] ignoredAttNames)